Bug 457263 - Review Request: liblayout - positioning library
Review Request: liblayout - positioning library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 454199
Blocks: 457277
  Show dependency treegraph
 
Reported: 2008-07-30 11:57 EDT by Caolan McNamara
Modified: 2008-09-05 16:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-05 16:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-07-30 11:57:49 EDT
Spec URL: http://people.redhat.com/caolanm/jfreereport/liblayout.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/liblayout-0.2.9-1.fc9.src.rpm
Description: liblayout is a dependency of jfreereport which itself is a dependency of OpenOffice.org3
Comment 1 Matthias Clasen 2008-08-06 13:43:29 EDT
Upon first look (and studying the java packaging guidelines for the first time...) it looks mostly ok (detailed review to follow). The one thing that I found so far is:

"If the number of provided JAR files exceeds two, you must place them into a sub-directory."
Comment 2 Caolan McNamara 2008-08-06 14:13:32 EDT
It's just /usr/share/java/liblayout.jar despite the glob, so only one .jar
Comment 3 Matthias Clasen 2008-08-06 22:39:07 EDT
package name: ok
spec name: ok
packaging guidelines: ok. 
  might want to add a bug ref or explanatory comment about the patch, though
license: ok
license field: ok
license file: ok
spec language: ok
spec legibility: ok
upstream sources: ok
excludearch: ok
locales: n/a
shared libs: n/a
relocatable: n/a
%clean: ok
macro use: consistent
content: permissible
large docs: ok
header files: n/a
static libs: n/a
pkgconfig files: n/a
shared libs: n/a
devel package: n/a
libtool archives: n/a
gui apps: n/a
file ownership: ok
%install: ok
utf8 filenames: ok


still to be checked:

buildability
rpmlint
buildrequires
directory ownership
duplicate files
file ownership
Comment 4 kushaldas@gmail.com 2008-08-12 15:47:30 EDT
rpmlint on the srpm gives 
liblayout.src:90: W: libdir-macro-in-noarch-package %attr(-,root,root) %{_libdir}/gcj/%{name}

Don't know if it is ok or not as it can be build with or without gcj
Comment 5 Caolan McNamara 2008-08-12 16:06:12 EDT
rpmlint isn't able to parse the %ifs correctly so it see the "noarch" of one logical branch and at the same time sees the %{_libdir}/gcj/%{name} of the other logical branch. i.e. the libdir usage is only used when it not built as noarch, and not used when built as arch-dependent.
Comment 6 Jason Tibbitts 2008-09-04 23:59:25 EDT
I'm not sure what's happening with this.  It's still NEW and the fedora-review flag is unset.   It's assigned to Mattias, but the last comment from him was four weeks ago.

I know that Caolan had a whole pile of interdependent packages he was trying to get in and at the top they all seem to block F10DesktopBlocker (which I guess is problematic given that the freeze is here).  I'd like to help finish things up but the ambiguous state of this ticket gets in the way.  Here are my comments:

In addition to the above rpmlint complaint, which I agree is bogus, there's only the following:
  liblayout-javadoc.x86_64: W: non-standard-group Development/Documentation
which can also be ignored as we don't care what goes in Group:.

I went ahead and did a complete review below.  I would approve this package as-is but I don't know what Mattias had in mind.

* source files match upstream:
   b4d80439fb820aebef249aa8f1570e849518c7b19fbd5cd40336a18343524543  
   liblayout-0.2.9.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summaries are OK.
* descriptions are OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  liblayout-0.2.9-1.fc10.x86_64.rpm
   liblayout.jar.so()(64bit)
   liblayout = 0.2.9-1.fc10
   liblayout(x86-64) = 0.2.9-1.fc10
  =
   /bin/sh
   flute
   java
   java-gcj-compat >= 1.0.31
   jcommon
   jpackage-utils
   libfonts >= 0.3.4
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libgcj_bc.so.1()(64bit)
   libloader >= 0.3.7
   librepository >= 0.1.6
   libz.so.1()(64bit)
   pentaho-libxml
   sac
   xml-commons-apis

  liblayout-javadoc-0.2.9-1.fc10.x86_64.rpm
   liblayout-javadoc = 0.2.9-1.fc10
   liblayout-javadoc(x86-64) = 0.2.9-1.fc10
  =
   jpackage-utils
   liblayout = 0.2.9-1.fc10

* %check is not present; no test suite (as far as I can tell).  I have no way to 
   test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (rebuild-gcj-db).
* no pre-built jars
* single jar, named after the package
* jarfiles are under _javadir.
* javadocs are under _javadocdir.
* ant called properly.
* gcj called properly.
Comment 7 Matthias Clasen 2008-09-05 00:37:29 EDT
Sorry, I just didn't get back to getting this package to build, since it depended on another one that wasn't in rawhide at the time I did the review. Thanks for finishing it up. 

Please go ahead an approve it.
Comment 8 Jason Tibbitts 2008-09-05 08:20:38 EDT
Great, APPROVED.

Sorry I didn't realize the dependency chain prevented Mattias from doing a complete review initially.
Comment 9 Caolan McNamara 2008-09-05 10:19:49 EDT
New Package CVS Request
=======================
Package Name: liblayout
Short Description: Java Positioning Library
Owners: caolanm
Branches:
InitialCC:
Comment 10 Kevin Fenzi 2008-09-05 12:53:40 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.